scala.runtime

# RichBoolean

###
Related Doc: package runtime

#### final class RichBoolean extends AnyVal with OrderedProxy[Boolean]

Source
  RichBoolean.scala

Linear Supertypes
OrderedProxy[Boolean], Typed[Boolean], Proxy, math.Ordered[Boolean], Comparable[Boolean], AnyVal, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. RichBoolean
2. OrderedProxy
3. Typed
4. Proxy
5. Ordered
6. Comparable
7. AnyVal
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new RichBoolean(self: Boolean)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from RichBoolean to any2stringadd[RichBoolean] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (RichBoolean, B)

   Implicit information
     This member is added by an implicit conversion from RichBoolean to ArrowAssoc[RichBoolean] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### def <(that: Boolean): Boolean

   Returns true if `this` is less than `that`

   Returns true if `this` is less than `that`

   Definition Classes
     Ordered

6. #### def <=(that: Boolean): Boolean

   Returns true if `this` is less than or equal to `that`.

   Returns true if `this` is less than or equal to `that`.

   Definition Classes
     Ordered

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### def >(that: Boolean): Boolean

   Returns true if `this` is greater than `that`.

   Returns true if `this` is greater than `that`.

   Definition Classes
     Ordered

9. #### def >=(that: Boolean): Boolean

   Returns true if `this` is greater than or equal to `that`.

   Returns true if `this` is greater than or equal to `that`.

   Definition Classes
     Ordered

10. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

11. #### def compare(y: Boolean): Int

    Result of comparing `this` with operand `that`.

    Result of comparing `this` with operand `that`.

    Implement this method to determine how instances of A will be sorted.

    Returns `x` where:

    - `x < 0` when `this < that`
    - `x == 0` when `this == that`
    - `x > 0` when `this > that`
    Definition Classes
      OrderedProxy → Ordered

12. #### def compareTo(that: Boolean): Int

    Result of comparing `this` with operand `that`.

    Result of comparing `this` with operand `that`.

    Definition Classes
      Ordered → Comparable

13. #### def ensuring(cond: (RichBoolean) ⇒ Boolean, msg: ⇒ Any): RichBoolean

    Implicit information
      This member is added by an implicit conversion from RichBoolean to Ensuring[RichBoolean] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (RichBoolean) ⇒ Boolean): RichBoolean

    Implicit information
      This member is added by an implicit conversion from RichBoolean to Ensuring[RichBoolean] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): RichBoolean

    Implicit information
      This member is added by an implicit conversion from RichBoolean to Ensuring[RichBoolean] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): RichBoolean

    Implicit information
      This member is added by an implicit conversion from RichBoolean to Ensuring[RichBoolean] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from RichBoolean to Predef.StringFormat[RichBoolean] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### def getClass(): Class[_ <: AnyVal]

    Returns the runtime class representation of the object.

    Returns the runtime class representation of the object.

    returns

      a class object corresponding to the runtime type of the receiver.

    Definition Classes
      AnyVal → Any

19. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

20. #### def ord: math.Ordering.Boolean.type

    Attributes
      protected
    Definition Classes
      RichBoolean → OrderedProxy

21. #### val self: Boolean

    Definition Classes
      RichBoolean → Typed → Proxy

22. #### def toString(): String

    Returns a string representation of the object.

    Returns a string representation of the object.

    The default representation is platform dependent.

    returns

      a string representation of the object.

    Definition Classes
      Proxy → Any

23. #### def →[B](y: B): (RichBoolean, B)

    Implicit information
      This member is added by an implicit conversion from RichBoolean to ArrowAssoc[RichBoolean] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from OrderedProxy[Boolean]

### Inherited from Typed[Boolean]

### Inherited from Proxy

### Inherited from math.Ordered[Boolean]

### Inherited from Comparable[Boolean]

### Inherited from AnyVal

### Inherited from Any

### Inherited by implicit conversion any2stringadd from RichBoolean to any2stringadd[RichBoolean]

### Inherited by implicit conversion StringFormat from RichBoolean to Predef.StringFormat[RichBoolean]

### Inherited by implicit conversion Ensuring from RichBoolean to Ensuring[RichBoolean]

### Inherited by implicit conversion ArrowAssoc from RichBoolean to ArrowAssoc[RichBoolean]

### Ungrouped